Author: Anton Kokalj <tone.kokalj@ijs.si>
Reviewed-by: Daniel Leidert <dleidert@debian.org>
Description: Create Debian specific Make.sys file for compilation. Use system
 library of libgl2ps.
Forwarded: not-needed

--- /dev/null
+++ b/Make.sys
@@ -0,0 +1,71 @@
+##############################################################################
+#
+#  System-dependent definitions suitable for compiling xcrysden using
+#  a system shared libraries (needs Tcl/Tk/Togl/GL/GLU/FFTW/Meschach/GL2PS
+#  libraries)
+#
+##############################################################################
+
+
+#------------------------------------------------------------------------
+# if you have a GNU make it is better to set the MAKE variable to point
+# to gnu make
+#------------------------------------------------------------------------
+MAKE = make
+
+
+#------------------------------------------------------------------------
+# compilers & flags
+#------------------------------------------------------------------------
+CPPFLAGS ?=
+CFLAGS ?=
+LDFLAGS ?=
+CPPFLAGS +=
+CFLAGS += $(CPPFLAGS)
+CFLAGS += -ffast-math -funroll-loops -fPIC -pedantic -Wall
+CFLAGS += $(LDFLAGS)
+CC     = gcc
+#LDLIB  = -ldl
+MATH   = -lm
+
+FFLAGS ?= -O2
+FFLAGS += $(LDFLAGS)
+FC     = gfortran
+
+#-------------------------------------------
+#debug options
+#CFLAGS = -g
+#-------------------------------------------
+
+
+#------------------------------------------------------------------------
+# X-libraries & include files
+#------------------------------------------------------------------------
+X_LIB     = -lXmu -lX11
+X_INCDIR  =
+
+#------------------------------------------------------------------------
+#
+# Libraries
+#
+
+TCL_LIB      = -ltcl
+TK_LIB       = -ltk
+GLU_LIB      = -lGLU
+GL_LIB       = -lGL
+TOGL_LIB     = -lTogl
+FFTW3_LIB    = -lfftw3
+MESCHACH_LIB = -lmeschach
+EXT_LIB      = -lgl2ps
+
+#
+# Include directories
+#
+
+TCL_INCDIR      = -I/usr/include/tcl
+TK_INCDIR       =
+GL_INCDIR       =
+FFTW3_INCDIR    =
+MESCHACH_INCDIR =
+
+#------------------------------------------------------------------------
--- a/C/make-objects
+++ b/C/make-objects
@@ -1,6 +1,5 @@
 # togl.o
 EXTERNAL_OBJS = \
-	gl2ps.o \
 	sgiRasterFont.o \
 	sgiAux.o
 
--- a/C/gl2psPrintTogl.c
+++ b/C/gl2psPrintTogl.c
@@ -19,7 +19,7 @@
 #include <stdio.h>
 #include <string.h>
 #include <togl.h>
-#include "gl2ps.h"
+#include <gl2ps.h>
 #include "xcfunc.h"
 
 extern struct Togl *mesa_togl;
